BlendLuxCore updater bug

Use this forum for general user support and related questions.
Post Reply
User avatar
Lobber
Posts: 2
Joined: Mon Jun 04, 2018 9:53 am

BlendLuxCore updater bug

Post by Lobber » Mon Jun 04, 2018 10:11 am

I've had no problems installing LuxCore for blender, and updating Luxcore from inside Blender when updates are ready.

However, this time it did not work.
When trying to upgrade from 2.0 to 2.1alpha1 I get errors (missing embree3.dll?):

"
Changing version to v2.1alpha1
Current version: v2.0
Downloading: https://github.com/LuxCoreRender/BlendL ... opencl.zip
Download finished
Extracting zip to C:\Users\Steinar\AppData\Local\Temp\tmpscn3hos8
Traceback (most recent call last):
File "D:\WinPrograms\Blender\2.79\python\lib\shutil.py", line 544, in move
os.rename(src, real_dst)
FileNotFoundError: [WinError 2] The system cannot find the file specified: 'C:\\Users\\Steinar\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\BlendLuxCore\\bin\\embree3.dll' -> 'C:\\Users\\Steinar\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\BlendLuxCore\\bin\\embree3.dll.old'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\Steinar\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\update.py", line 208, in execute
recursive_overwrite(extracted_blendluxcore, blendluxcore_dir)
File "C:\Users\Steinar\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\update.py", line 39, in recursive_overwrite
os.path.join(dest, f))
File "C:\Users\Steinar\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\update.py", line 39, in recursive_overwrite
os.path.join(dest, f))
File "C:\Users\Steinar\AppData\Roaming\Blender Foundation\Blender\2.79\scripts\addons\BlendLuxCore\operators\update.py", line 50, in recursive_overwrite
shutil.move(dest, dest + ".old")
File "D:\WinPrograms\Blender\2.79\python\lib\shutil.py", line 558, in move
copy_function(src, real_dst)
File "D:\WinPrograms\Blender\2.79\python\lib\shutil.py", line 257, in copy2
copyfile(src, dst, follow_symlinks=follow_symlinks)
File "D:\WinPrograms\Blender\2.79\python\lib\shutil.py", line 120, in copyfile
with open(src, 'rb') as fsrc:
FileNotFoundError: [Errno 2] No such file or directory: 'C:\\Users\\Steinar\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\BlendLuxCore\\bin\\embree3.dll'

location: <unknown location>:-1
location: <unknown location>:-1
"

I did one thing wrong, I forgot installing Intel C++ redist. But I've now tried with it. Exact same result (errors).

Thank you.

User avatar
Dade
Developer
Posts: 1347
Joined: Mon Dec 04, 2017 8:36 pm

Re: Can't install BlendLux

Post by Dade » Mon Jun 04, 2018 10:27 am

Lobber wrote:
Mon Jun 04, 2018 10:11 am
I've had no problems installing LuxCore for blender, and updating Luxcore from inside Blender when updates are ready.

However, this time it did not work.
When trying to upgrade from 2.0 to 2.1alpha1 I get errors (missing embree3.dll?):
With new Embree v3.2.0, Intel has changed the name of the DLL from "embree.dll" to "embree3.dll" because Embree v3.x API is not compatible with Embree v2.x API.

The .zip you linked (https://github.com/LuxCoreRender/BlendL ... opencl.zip) includes the correct "embree3.dll".

Can you check if the DLL is present inside your "C:\\Users\\Steinar\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\BlendLuxCore\\bin" directory :?:
Support LuxCoreRender project with salts and bounties

User avatar
Lobber
Posts: 2
Joined: Mon Jun 04, 2018 9:53 am

Re: Can't install BlendLux

Post by Lobber » Mon Jun 04, 2018 10:36 am

Dade wrote:
Mon Jun 04, 2018 10:27 am
Lobber wrote:
Mon Jun 04, 2018 10:11 am
I've had no problems installing LuxCore for blender, and updating Luxcore from inside Blender when updates are ready.

However, this time it did not work.
When trying to upgrade from 2.0 to 2.1alpha1 I get errors (missing embree3.dll?):
With new Embree v3.2.0, Intel has changed the name of the DLL from "embree.dll" to "embree3.dll" because Embree v3.x API is not compatible with Embree v2.x API.

The .zip you linked (https://github.com/LuxCoreRender/BlendL ... opencl.zip) includes the correct "embree3.dll".

Can you check if the DLL is present inside your "C:\\Users\\Steinar\\AppData\\Roaming\\Blender Foundation\\Blender\\2.79\\scripts\\addons\\BlendLuxCore\\bin" directory :?:
That was a fast reply, thanks.
I had embree3.dll in the wrong path, figured it out, but you already replied. I feel stupid for not trying more before crying about it here.

Thank you for your hard work, it's really appreciated!

Edit:
Just in case it matters for anyone; The autoupdate did not work, I have no idea why it did not install embree3.dll correctly.
I got embree3.dll from Intel-sources (Yes, after your reply I know realize it's also in the .zip the autoupdate downloaded, why it didn't install it automatically I don't know).

So I had to manually copy the DLL to where it belongs, I guess I did something wrong or my system is werid/corrupted - because noone else have encountered this problem of missing embree3.dll when autoupdating.



-- Lobber
Last edited by Lobber on Mon Jun 04, 2018 11:00 am, edited 1 time in total.

User avatar
B.Y.O.B.
Developer
Posts: 1609
Joined: Mon Dec 04, 2017 10:08 pm
Location: Germany
Contact:

Re: BlendLuxCore updater bug

Post by B.Y.O.B. » Mon Jun 04, 2018 10:44 am

I've had no problems installing LuxCore for blender, and updating Luxcore from inside Blender when updates are ready.

However, this time it did not work.
When trying to upgrade from 2.0 to 2.1alpha1 I get errors (missing embree3.dll?):
It is a bug in BlendLuxCore, in this line:
https://github.com/LuxCoreRender/BlendL ... ate.py#L50

I will fix it later.
Support LuxCoreRender project with salts and bounties

Post Reply